import java.io.*;

class ReactionTest
{
  public static void main(String args[]) throws IOException
  {
  Reaction R2;
  R2=new Reaction("hidrojenfc");
  System.out.println(R2.toString("name"));
  System.out.println(R2.toString("formula"));
  System.out.println(R2.toString("composition"));
  System.out.println("Dh="+R2.H(298,298)+"KJ/kmol");
  System.out.println("Ds="+R2.S(298,298)+"KJ/kmol K");
  System.out.println("Dg="+R2.G(298,298)+"KJ/kmol");
  System.out.println("Dg0="+R2.G0(298,298)+"KJ/kmol");
  System.out.println("Vi="+R2.Vi(298,298,2)+" V");
  System.out.println("Vi0="+R2.Vi0(298,298,2)+" V");
  //double Tadyabatikalev= R2.Taf(298,298, 3000)-273;
  //System.out.println("Adiabatic flame temperature = "+Tadyabatikalev+" degree C");
  
  //System.out.println(R2.readReactionNames());

  }
}
